Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Data Fields
Lucene::CompoundFileReader::FileEntry Struct Reference

`#include <CompoundFileReader.h>`

## Public Member Functions

| FileEntry (int64_t offset=0, int64_t length=0)

## Data Fields

int64_t | offset
int64_t | length

## Constructor & Destructor Documentation

Lucene::CompoundFileReader::FileEntry::FileEntry | ( | int64_t | offset = `0`,
|  | int64_t | length = `0`
| ) |  |

inline

References length, and offset.

## Field Documentation

int64_t Lucene::CompoundFileReader::FileEntry::length

Referenced by FileEntry().

int64_t Lucene::CompoundFileReader::FileEntry::offset

Referenced by FileEntry().

The documentation for this struct was generated from the following file:

- CompoundFileReader.h

clucene.sourceforge.net